CallableStatementJDBC3Test (jTDS API)
Keywords: net.sourceforge.jtds.test.CallableStatementJDBC3Test class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class CallableStatementJDBC3Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.CallableStatementJDBC3Test

All Implemented Interfaces:
  junit.framework.Test

public class CallableStatementJDBC3Test
extends TestBase

Test the JDBC 3.0 features of CallableStatement.

Author:
  Alin Sinpalean
Created:
  04/07/2004

Field Summary

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`CallableStatementJDBC3Test(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `testCallableRegisterOutParameter1()` Test for bug [946171] null boolean in CallableStatement bug
`void` | `testCallableRegisterOutParameter2()` Test for bug [992715] wasnull() always returns false
`void` | `testNamedParameters0001()` Test named parameters.

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CallableStatementJDBC3Test

    public CallableStatementJDBC3Test(java.lang.String name)

Method Detail

### testNamedParameters0001

    public void testNamedParameters0001()
                                 throws java.lang.Exception

  Test named parameters.

  Throws:
    `java.lang.Exception`

### testCallableRegisterOutParameter1

    public void testCallableRegisterOutParameter1()
                                           throws java.lang.Exception

  Test for bug [946171] null boolean in CallableStatement bug

  Throws:
    `java.lang.Exception`

### testCallableRegisterOutParameter2

    public void testCallableRegisterOutParameter2()
                                           throws java.lang.Exception

  Test for bug [992715] wasnull() always returns false

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009